Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkScalarBarActor Class Reference

`#include <vtkScalarBarActor.h>`

Inheritance diagram for vtkScalarBarActor:

[legend]
Collaboration diagram for vtkScalarBarActor:

[legend]
List of all members.

## Detailed Description

Create a scalar bar with labels.

Date:
  2003/01/16 19:31:14

Revision:
  1.42

vtkScalarBarActor creates a scalar bar with annotation text. A scalar bar is a legend that indicates to the viewer the correspondence between color value and data value. The legend consists of a rectangular bar made of rectangular pieces each colored a constant value. Since vtkScalarBarActor is a subclass of vtkActor2D, it is drawn in the image plane (i.e., in the renderer's viewport) on top of the 3D graphics window.

To use vtkScalarBarActor you must associate a vtkScalarsToColors (or subclass) with it. The lookup table defines the colors and the range of scalar values used to map scalar data. Typically, the number of colors shown in the scalar bar is not equal to the number of colors in the lookup table, in which case sampling of the lookup table is performed.

Other optional capabilities include specifying the fraction of the viewport size (both x and y directions) which will control the size of the scalar bar and the number of annotation labels. The actual position of the scalar bar on the screen is controlled by using the vtkActor2D::SetPosition() method (by default the scalar bar is centered in the viewport). Other features include the ability to orient the scalar bar horizontally of vertically and controlling the format (printf style) with which to print the labels on the scalar bar. Also, the vtkScalarBarActor's property is applied to the scalar bar and annotation (including layer, and compositing operator).

Set the text property/attributes of the title and the labels through the vtkTextProperty objects associated to this actor.

Warning:
  If a vtkLogLookupTable is specified as the lookup table to use, then the labels are created using a logarithmic scale.

See also:
  vtkActor2D vtkTextProperty vtkTextMapper vtkPolyDataMapper2D

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Martin, Ken (32%)
  - Schroeder, Will (30%)
  - Barre, Sebastien (20%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkScalarBarActor.h)`
  - .`cxx` (`/Rendering/vtkScalarBarActor.cxx)`

Tests:
  vtkScalarBarActor (Tests)

Definition at line 88 of file vtkScalarBarActor.h.

## Public Types
typedef vtkActor2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | ReleaseGraphicsResources (vtkWindow *)
void | ShallowCopy (vtkProp *prop)
int | RenderOpaqueGeometry (vtkViewport *viewport)
int | RenderTranslucentGeometry (vtkViewport *)
int | RenderOverlay (vtkViewport *viewport)
virtual void | SetLookupTable (vtkScalarsToColors *)
virtual vtkScalarsToColors * | GetLookupTable ()
virtual void | SetMaximumNumberOfColors (int)
virtual int | GetMaximumNumberOfColors ()
virtual void | SetNumberOfLabels (int)
virtual int | GetNumberOfLabels ()
virtual void | SetOrientation (int)
virtual int | GetOrientation ()
void | SetOrientationToHorizontal ()
void | SetOrientationToVertical ()
virtual void | SetTitleTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetTitleTextProperty ()
virtual void | SetLabelTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetLabelTextProperty ()
virtual void | SetFontFamily (int val)
virtual int | GetFontFamily ()
void | SetFontFamilyToArial ()
void | SetFontFamilyToCourier ()
void | SetFontFamilyToTimes ()
virtual void | SetBold (int val)
virtual int | GetBold ()
virtual void | BoldOn ()
virtual void | BoldOff ()
virtual void | SetItalic (int val)
virtual int | GetItalic ()
virtual void | ItalicOn ()
virtual void | ItalicOff ()
virtual void | SetShadow (int val)
virtual int | GetShadow ()
virtual void | ShadowOn ()
virtual void | ShadowOff ()
virtual void | SetLabelFormat (const char *)
virtual char * | GetLabelFormat ()
virtual void | SetTitle (const char *)
virtual char * | GetTitle ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkScalarBarActor * | SafeDownCast (vtkObject *o)
vtkScalarBarActor * | New ()
## Protected Methods
| vtkScalarBarActor ()
| ~vtkScalarBarActor ()
virtual void | AllocateAndSizeLabels (int *labelSize, int *size, vtkViewport *viewport, float *range)
## Protected Attributes
vtkScalarsToColors * | LookupTable
vtkTextProperty * | TitleTextProperty
vtkTextProperty * | LabelTextProperty
int | MaximumNumberOfColors
int | NumberOfLabels
int | NumberOfLabelsBuilt
int | Orientation
char * | Title
char * | LabelFormat
vtkTextMapper ** | TextMappers

## Member Typedef Documentation

typedef vtkActor2D vtkScalarBarActor::Superclass

| Reimplemented from vtkActor2D. Definition at line 91 of file vtkScalarBarActor.h.

## Constructor & Destructor Documentation

vtkScalarBarActor::vtkScalarBarActor | ( |  | ) | `[protected]`

vtkScalarBarActor::~vtkScalarBarActor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkScalarBarActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor2D.

int vtkScalarBarActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

virtual int vtkScalarBarActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

vtkScalarBarActor* vtkScalarBarActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor2D.

void vtkScalarBarActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor2D.

vtkScalarBarActor* vtkScalarBarActor::New | ( |  | ) | `[static]`

| Instantiate object with 64 maximum colors; 5 labels; %%-#6.3g label format, no title, and vertical orientation. The initial scalar bar size is (0.05 x 0.8) of the viewport size. Reimplemented from vtkActor2D.

int vtkScalarBarActor::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| Draw the scalar bar and annotation text to the screen. Reimplemented from vtkActor2D.

int vtkScalarBarActor::RenderTranslucentGeometry | ( | vtkViewport * |  | ) | `[inline, virtual]`

| Draw the scalar bar and annotation text to the screen. Reimplemented from vtkActor2D. Definition at line 102 of file vtkScalarBarActor.h.

int vtkScalarBarActor::RenderOverlay | ( | vtkViewport * | viewport | ) | `[virtual]`

| Draw the scalar bar and annotation text to the screen. Reimplemented from vtkActor2D.

virtual void vtkScalarBarActor::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkActor2D.

virtual void vtkScalarBarActor::SetLookupTable | ( | vtkScalarsToColors * |  | ) | `[virtual]`

| Set/Get the vtkLookupTable to use. The lookup table specifies the number of colors to use in the table (if not overridden), as well as the scalar range.

virtual vtkScalarsToColors* vtkScalarBarActor::GetLookupTable | ( |  | ) | `[virtual]`

| Set/Get the vtkLookupTable to use. The lookup table specifies the number of colors to use in the table (if not overridden), as well as the scalar range.

virtual void vtkScalarBarActor::SetMaximumNumberOfColors | ( | int |  | ) | `[virtual]`

| Set/Get the maximum number of scalar bar segments to show. This may differ from the number of colors in the lookup table, in which case the colors are samples from the lookup table.

virtual int vtkScalarBarActor::GetMaximumNumberOfColors | ( |  | ) | `[virtual]`

| Set/Get the maximum number of scalar bar segments to show. This may differ from the number of colors in the lookup table, in which case the colors are samples from the lookup table.

virtual void vtkScalarBarActor::SetNumberOfLabels | ( | int |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show.

virtual int vtkScalarBarActor::GetNumberOfLabels | ( |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show.

virtual void vtkScalarBarActor::SetOrientation | ( | int |  | ) | `[virtual]`

| Control the orientation of the scalar bar.

virtual int vtkScalarBarActor::GetOrientation | ( |  | ) | `[virtual]`

| Control the orientation of the scalar bar.

void vtkScalarBarActor::SetOrientationToHorizontal | ( |  | ) | `[inline]`

| Control the orientation of the scalar bar. Definition at line 137 of file vtkScalarBarActor.h. References VTK_ORIENT_HORIZONTAL.

void vtkScalarBarActor::SetOrientationToVertical | ( |  | ) | `[inline]`

| Control the orientation of the scalar bar. Definition at line 139 of file vtkScalarBarActor.h. References VTK_ORIENT_VERTICAL.

virtual void vtkScalarBarActor::SetTitleTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the title text property.

virtual vtkTextProperty* vtkScalarBarActor::GetTitleTextProperty | ( |  | ) | `[virtual]`

| Set/Get the title text property.

virtual void vtkScalarBarActor::SetLabelTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the labels text property.

virtual vtkTextProperty* vtkScalarBarActor::GetLabelTextProperty | ( |  | ) | `[virtual]`

| Set/Get the labels text property.

virtual void vtkScalarBarActor::SetFontFamily | ( | int | val | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkScalarBarActor::GetFontFamily | ( |  | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

void vtkScalarBarActor::SetFontFamilyToArial | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 163 of file vtkScalarBarActor.h. References VTK_ARIAL.

void vtkScalarBarActor::SetFontFamilyToCourier | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 164 of file vtkScalarBarActor.h. References VTK_COURIER.

void vtkScalarBarActor::SetFontFamilyToTimes | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 165 of file vtkScalarBarActor.h. References VTK_TIMES.

virtual void vtkScalarBarActor::SetBold | ( | int | val | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkScalarBarActor::GetBold | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::BoldOn | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::BoldOff | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::SetItalic | ( | int | val | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkScalarBarActor::GetItalic | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::ItalicOn | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::ItalicOff | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::SetShadow | ( | int | val | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkScalarBarActor::GetShadow | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::ShadowOn | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::ShadowOff | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkScalarBarActor::SetLabelFormat | ( | const char * |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on the scalar bar.

virtual char* vtkScalarBarActor::GetLabelFormat | ( |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on the scalar bar.

virtual void vtkScalarBarActor::SetTitle | ( | const char * |  | ) | `[virtual]`

| Set/Get the title of the scalar bar actor,

virtual char* vtkScalarBarActor::GetTitle | ( |  | ) | `[virtual]`

| Set/Get the title of the scalar bar actor,

void vtkScalarBarActor::ShallowCopy | ( | vtkProp * | prop | ) | `[virtual]`

| Shallow copy of a scalar bar actor. Overloads the virtual vtkProp method. Reimplemented from vtkActor2D.

virtual void vtkScalarBarActor::AllocateAndSizeLabels | ( | int * | labelSize,
|  | int * | size,
|  | vtkViewport * | viewport,
|  | float * | range
| ) | `[protected, virtual]`

## Member Data Documentation

vtkScalarsToColors* vtkScalarBarActor::LookupTable`[protected]`

| Definition at line 222 of file vtkScalarBarActor.h.

vtkTextProperty* vtkScalarBarActor::TitleTextProperty`[protected]`

| Definition at line 223 of file vtkScalarBarActor.h.

vtkTextProperty* vtkScalarBarActor::LabelTextProperty`[protected]`

| Definition at line 224 of file vtkScalarBarActor.h.

int vtkScalarBarActor::MaximumNumberOfColors`[protected]`

| Definition at line 226 of file vtkScalarBarActor.h.

int vtkScalarBarActor::NumberOfLabels`[protected]`

| Definition at line 227 of file vtkScalarBarActor.h.

int vtkScalarBarActor::NumberOfLabelsBuilt`[protected]`

| Definition at line 228 of file vtkScalarBarActor.h.

int vtkScalarBarActor::Orientation`[protected]`

| Definition at line 229 of file vtkScalarBarActor.h.

char* vtkScalarBarActor::Title`[protected]`

| Definition at line 230 of file vtkScalarBarActor.h.

char* vtkScalarBarActor::LabelFormat`[protected]`

| Definition at line 231 of file vtkScalarBarActor.h.

vtkTextMapper** vtkScalarBarActor::TextMappers`[protected]`

| Definition at line 233 of file vtkScalarBarActor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkScalarBarActor.h